Skip to main content
GET
/
v6
/
templates
/
agent
/
settings
Get Agentic Accountant Settings
curl --request GET \
  --url https://sandbox.tight.com/v6/templates/agent/settings \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "agenticCFO": {
      "spendManagement": true,
      "trendAnalysis": true
    },
    "agenticAccountant": {
      "financialSummaries": [
        "MONTHLY",
        "QUARTERLY",
        "YEARLY"
      ],
      "bankReconciliations": true
    },
    "agenticBookkeeper": {
      "anomalyDetection": true,
      "conversationalReasoning": true
    },
    "agenticAssistant": {
      "bankConnectionErrors": true,
      "accountingSupport": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.